%Author: Gijesh Varghese, gijesh.varghese@gmail.com
%  Date: 02/07

fid = fopen('C:\Research\videos\original\garden_352x240.yuv','r');
fout = fopen('noisy\garden_352x240.yuv','w');
nFrames = 10;
width=176*2;
height=240;
y_elements = width*height;
uv_elements = width*height/4;
sig = 50;

for i=1:nFrames
    fprintf(1,'Frame %d\n', i);
    [y,count] = fread(fid,y_elements,'uchar');
    y=reshape(y,[width,height])';
    [u,count] = fread(fid,uv_elements,'uchar');
    [v,count] = fread(fid,uv_elements,'uchar');
    ynoise = randn(size(y));
    ynoise = ynoise/sqrt(mean2(ynoise.^2));
    y = y + sig*ynoise;    

   ytemp=reshape(y',1,width*height);
   fwrite(fout,ytemp,'uchar');
   fwrite(fout,u,'uchar');
   fwrite(fout,v,'uchar');
end
fclose(fid);
fclose(fout);